проблема з інсталяцією

Форуми по лінійці Joomla 1.0.x.
ukrainian
Користувач
Користувач
Повідомлень: 79
З нами з: 05 грудня 2007, 19:54

проблема з інсталяцією

Повідомлення ukrainian » 23 січня 2008, 23:36

:(
привіт. все роблю, напевно, добре. Інсталюється, вводжу інформацію про базу даних і тут замість того, щоб запустити сайт, мені вибиває повідомлення

pre-installation check
PHP version >= 4.1.0  Yes
  - zlib compression support Available
  - XML support Available
  - MySQL support Available
configuration.php Unwriteable
You can still continue the install as the configuration will be displayed at the end, just copy & paste this and upload.
Session save path Unwriteable

що б це могло бути? в мене є шанси, що Joomla буде працювати?

PAlexA
Користувач
Користувач
Повідомлень: 161
З нами з: 05 жовтня 2007, 22:42
Звідки: Львів

Re: проблема з інсталяцією

Повідомлення PAlexA » 24 січня 2008, 00:18

Права може не правильно встановлено на файли та папки ? Встанови потрібні права а потім встановлю Джумлу

Якщо Joomla встала ? В адмінку зайшов ? Якщо зайшов, вийди і спробуй знову зайти.

Session save path    Unwriteable
http://joomlaportal.ru/content/view/156/53/

Може далі хтось поможе
Востаннє редагувалось 24 січня 2008, 00:37 користувачем PAlexA, всього редагувалось 1 раз.
activerest
Користувач
Користувач
Повідомлень: 15
З нами з: 13 вересня 2007, 17:13
Звідки: Україна, Київ

Проблема з інсталяцією

Повідомлення activerest » 09 лютого 2008, 18:29

Залив на сервер розпакований установочний архів 1.5.0. А інсталяція не запускається. Видає наступне:
Warning: JLoader::include(/home/activere/public_html/test/libraries/pattemplate/patTemplate.php) [function.JLoader-include]: failed to open stream: No such file or directory in /home/activere/public_html/test/libraries/loader.php on line 80

Warning: JLoader::include() [function.include]: Failed opening '/home/activere/public_html/test/libraries/pattemplate/patTemplate.php' for inclusion (include_path='.:/usr/local/share/pear') in /home/activere/public_html/test/libraries/loader.php on line 80

Fatal error: Class 'patTemplate' not found in /home/activere/public_html/test/libraries/joomla/template/template.php on line 30
test - спеціальностворений субдомен для перевірки можливості оновлення Joomla до 1.5.

Якщо правильно розумію, то на Warning можна не звертати уваги, а от Fatal error щось, та й значить  ???
Аватар користувача
Dutch
Адміністратор
Адміністратор
Повідомлень: 1185
З нами з: 28 жовтня 2006, 18:49
Звідки: Київ
Дякував (ла): 3 рази
Подякували: 12 рази
Контактна інформація:

Re: проблема з інсталяцією

Повідомлення Dutch » 10 лютого 2008, 06:12

Так-с...
Розкажи детальніше, що ти робиш, але з самого-самого початку.

Якщо робиш міграцію, то прочитай цю статтю: http://www.joomla-ua.org/content/view/104/41/
activerest
Користувач
Користувач
Повідомлень: 15
З нами з: 13 вересня 2007, 17:13
Звідки: Україна, Київ

Re: проблема з інсталяцією

Повідомлення activerest » 10 лютого 2008, 08:57

Так, роблю міграцію. Читав статтю і в українському, і в ангілійському варіанті, а достойного результату немає.
1. На сайті встановлено Джумлу 1.0.12.
2. Встановив Migrator RC6.
3. Встановлення додаткових плагінів пропустив. Можливо й необхідно, але не знайшов для ФайрБоард (форуму) та МСЕ-редактора. Вважаю не надто критичним. Можна вирішити після оновлення до Joomla 1.5.1
4. Створив SQL файл для міграції та закачав на вінчестер
5. Встановлення Joomla 1.5.1
5.1. Качаю з http://joomlacode.org/gf/download/frsre ... ackage.zip
5.2. Розпаковую
5.3. По ftp затираю попередню версію
5.4. Копіюю дистрибутив у ту ж папку на сервері
5.5. Заливаю SQL файл для міграції у визначену директорію, перейменовую (так як сказано у статті по міграції)
5.6. Відкриваю через http головну сторінку і ... (помилку видно вище)
5.7. Затираю 1.5.1, заливаю 1.5.0. Результат той же.
5.8. Затираю і роблю відновлення з резервного архіву Joomla 1.0.12. Працює.
6. Експерименти на тестовому субдомені test.
6.1 Заливаю 1.5.0, пробую, а результат той же.
7. Експерименти на локальній машині.
7.1. Ставлю Денвер.
7.2. Проводжу встановлення 1.5.1.
7.3. Joomla встановилася, але міграцію не провела. Можливо, через відсутність попердньої SQL-бази.
8. Розглядаю варіант на локальній машині "відновити" сайт для 1.5.1, але хотілося б усе-таки "мігрувати" прямо на сервері. Або на крайній випадок в локалці, а потім перенести усе на сервер.

Ось така історія. Що можете порадити?

Аватар користувача
Dutch
Адміністратор
Адміністратор
Повідомлень: 1185
З нами з: 28 жовтня 2006, 18:49
Звідки: Київ
Дякував (ла): 3 рази
Подякували: 12 рази
Контактна інформація:

Re: проблема з інсталяцією

Повідомлення Dutch » 14 лютого 2008, 13:50

1. спробуй просто поставити 1.5.1 без міграцій
якщо вдалося, тоді далі:
2. створи папку там де стоїть 1.0.х, і в ній піднімай 1.5.

Щодо мігратора, то спробуй ось цей також:
http://extensions.joomla.org/component/ ... Itemid,35/
activerest
Користувач
Користувач
Повідомлень: 15
З нами з: 13 вересня 2007, 17:13
Звідки: Україна, Київ

Re: проблема з інсталяцією

Повідомлення activerest » 17 лютого 2008, 23:09

На localhost вдалося мігрувати на 1.5.1 (з мігратором Migrator RC6). Помилка була у відсутності попередньої SQL-бази на localhost.
До переносу на реальний сервер справа не дійшла, бо сайт ще не повністю мене влаштовує.
Не можу встановити форум на Джумлу 1.5.1.
Пробував ФайрБоард 1.0.4 і СМФ 1.1.4. Ні один не встановився. Останньому можливо не подобається Віндовз.

Запитання: який форум можна поставити на Джумлу 1.5.х?
Аватар користувача
Dutch
Адміністратор
Адміністратор
Повідомлень: 1185
З нами з: 28 жовтня 2006, 18:49
Звідки: Київ
Дякував (ла): 3 рази
Подякували: 12 рази
Контактна інформація:

Re: проблема з інсталяцією

Повідомлення Dutch » 01 березня 2008, 03:17

Ой, навіть і не скажу :)
Вибирай який хочешь, адже для 1.5 інтеграція можлива майже з усіма форумами.

Доречі тут найближчим часом має висти стабільний реліз плагіну JFusion, який інтегрує SMF 1.1.x та 2.0.х, VB, IPB, PHPBB та ще декілька.

На разі вже є інтеграція на рівні плагіну та додаткових файлів для PHPBB3.

Зауважу, що всі інтеграції можуть бути без хаку джумлу та самого форуму, це я говорю про версію 1.5.х!!!
Snag
Користувач
Користувач
Повідомлень: 1
З нами з: 15 березня 2008, 04:29

Re: проблема з інсталяцією

Повідомлення Snag » 15 березня 2008, 05:17

Вітання!
маю проблему встановлення на локалі (денвер..)  версії  Joomla! 1.5.. 
Вимагає відповідних встановлення прав доступу. скаржиться що..
(Cookies do not appear to be enabled on your browser client. You will not be able to install the application with this feature disabled.)
У мене ХР SP2. Загальний рівень дозволу в браузері, а також доступу на кшалт configuration.php, settings.php...- нижче робити вже нікуди.
..цікаво, що на версії 1.0.. проблем із встановленням на локалі - не виникло, от тільки з доданням мови в адміністративну частину...

Шановні гуру, встановіть  діагноз  (мені), будь ласка і  рецепт  (що робити з Joomla!) також ))!!
набираю -  /mysite/installation/index.php
а також..                /mysite/INSTALL.php 

шукав мануалу, або відповіді на форумі ...нічого.. (

пс. шукаю підписку на відповіді у цій гілці  ...  не можу намацати. Не дарма кажуть, що Joomla! вимагає міцьної нервової системи..  )
РЯТУЙТЕ! ) 
Востаннє редагувалось 15 березня 2008, 10:36 користувачем Snag, всього редагувалось 1 раз.



  • Similar Topics
    Відповіді
    Перегляди
    Останнє повідомлення

Повернутись до “Joomla! 1.0”

Хто зараз онлайн

Зараз переглядають цей форум: 0 і 0 гостей